openr,9,'string.str'
 exp_str=''
 readf,9,exp_str
 lonmin=0 & lonmax=0 & latmin=0 & latmax=0
 readf,9,lonmin,lonmax,latmin,latmax
 close,9
 ;
 modeltype=999 & openr,88,'modeltype.str' & readf,88,modeltype & close,88
 
 workdir=''
 openr,81,'workdir.str' & readf,81,workdir & close,81
 file=strcompress(workdir+exp_str+'regression_results_Model'+string(modeltype)+'.dat',/remove_all)
 openr,1,file
 readf,1,ncoeffs
 nplots=ncoeffs+2	; that is, read the coefficients plus an intercept and the RMSE each time
 block=fltarr(2,nplots)
 names=['intercept','SAL coeff','CFC coeff','COT coeff','RMSE']
 count=0
 print,'I read from this file: ',file
 print,"                             Mean      Stddev    Mean/Stddev"
 
 while not eof(1) do begin
     readf,1,block
     ; split the block into values and errors
     if (count eq 0) then begin
         values=transpose(block(0,*))
         errors=transpose(block(1,*))
         endif
     if (count gt 0) then begin
         values=[[values],[transpose(block(0,*))]]
         errors=[[errors],[transpose(block(1,*))]]
         endif
     count=count+1
     endwhile
 close,1
 ; plotter section
 l=size(values,/dimensions)
 !P.MULTI=[0,1,ncoeffs+2]
 !P.CHARSIZE=2
 !P.thick=2
 !x.thick=2
 !y.thick=2
 if (modeltype eq 1) then ytits=['Intercept','Coeff to SAL','Coeff to CFC','Coeff to COT','RMSE in pct']	; Model 1
 if (modeltype eq 2) then ytits=['Intercept','Coeff to SAL*(1-CFC)','Coeff to CFC','Coeff to COT','RMSE in pct']	; Model 2
 if (modeltype eq 3) then ytits=['Intercept','Coeff to CFC','Coeff to SAL*(1-CFC)','RMSE in pct']	; Model 3
 imo=indgen(l(1))+5
 if (modeltype eq 4) then ytits=['Intercept','(1-exp(COT))*CFC','Coeff to SAL*(1-CFC)','RMSE in pct']	; Model 4
 imo=indgen(l(1))+5
 ; plot modulu 12
 symstr=''
 for k=0,nplots-1,1 do begin
     plot,xstyle=3,imo mod 12,values(k,*),ytitle=ytits(k),xtitle='Month number',title=file,psym=4
     if (k eq 1 or k eq 2) then oploterr,imo mod 12,values(k,*),errors(k,*)
     ; print stats on stats
     if (abs(mean(values(k,*))/stddev(values(k,*))) gt 1) then symstr='*'
     if (abs(mean(values(k,*))/stddev(values(k,*))) gt 2) then symstr='**'
     if (abs(mean(values(k,*))/stddev(values(k,*))) gt 3) then symstr='***'
     print,format='(a25,3(1x,f9.5,1x,a))',ytits(k)+': ',mean(values(k,*)),stddev(values(k,*)),mean(values(k,*))/stddev(values(k,*)),symstr
     endfor
 ; repeat plot but with numbers for symbols
 for k=0,nplots-1,1 do begin
     plot,/nodata,xstyle=3,imo mod 12,values(k,*),ytitle=ytits(k),xtitle='Month number',title=file,psym=4
     for j=0,n_elements(values(k,*))-1,1 do xyouts,imo(j) mod 12,values(k,j),string(j),charsize=0.3
     endfor
 end
 
 
